<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: init_runFM.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_5bc685aebde700767007c10b493de579.html">runFM</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">init_runFM.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceinit__runfm"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html">init_runfm</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a4b39e21f1f42750e983fd75d2855270b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a4b39e21f1f42750e983fd75d2855270b">init_runfm::parse_boundaries</a></td></tr>
<tr class="separator:a4b39e21f1f42750e983fd75d2855270b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65d81b6adef93b571d75d3ba49320fdf"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a65d81b6adef93b571d75d3ba49320fdf">init_runfm::get_props</a></td></tr>
<tr class="separator:a65d81b6adef93b571d75d3ba49320fdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd7294e416a7274171eaa4cd42da8637"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#acd7294e416a7274171eaa4cd42da8637">init_runfm::convertxtoy</a> (X_in, Y_out)</td></tr>
<tr class="separator:acd7294e416a7274171eaa4cd42da8637"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a773302fbbfe6b30b4d9b24e5e44ab1ce"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a773302fbbfe6b30b4d9b24e5e44ab1ce">init_runfm::nfuelspecies</a></td></tr>
<tr class="separator:a773302fbbfe6b30b4d9b24e5e44ab1ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa667ced7b587ac351d66e71a2835805a"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#aa667ced7b587ac351d66e71a2835805a">init_runfm::nx_1</a></td></tr>
<tr class="separator:aa667ced7b587ac351d66e71a2835805a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fc57d51d4ec1f0bce0e3b05ce934d81"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a8fc57d51d4ec1f0bce0e3b05ce934d81">init_runfm::noxidizerspecies</a></td></tr>
<tr class="separator:a8fc57d51d4ec1f0bce0e3b05ce934d81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c798d33dba156757d4aa9ef13916ac"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#af5c798d33dba156757d4aa9ef13916ac">init_runfm::nx_0</a></td></tr>
<tr class="separator:af5c798d33dba156757d4aa9ef13916ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3a1859eca3ceb8d1b011ff4ce3f5f2d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#ad3a1859eca3ceb8d1b011ff4ce3f5f2d">init_runfm::nspecies</a></td></tr>
<tr class="separator:ad3a1859eca3ceb8d1b011ff4ce3f5f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980183e7bf1f28e98e9339e87f915e54"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a980183e7bf1f28e98e9339e87f915e54">init_runfm::negr</a></td></tr>
<tr class="separator:a980183e7bf1f28e98e9339e87f915e54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac39e850ebc843156ab2943e530a47114"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#ac39e850ebc843156ab2943e530a47114">init_runfm::nphi</a></td></tr>
<tr class="separator:ac39e850ebc843156ab2943e530a47114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bb396848db292cdd2b57e59db92a609"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a3bb396848db292cdd2b57e59db92a609">init_runfm::ntu</a></td></tr>
<tr class="separator:a3bb396848db292cdd2b57e59db92a609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f063505d8cc7683d3f66e63c532cb99"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a6f063505d8cc7683d3f66e63c532cb99">init_runfm::np</a></td></tr>
<tr class="separator:a6f063505d8cc7683d3f66e63c532cb99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a705989855c595b4d1e489bc50cf8772b"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a705989855c595b4d1e489bc50cf8772b">init_runfm::fuelspecies</a></td></tr>
<tr class="separator:a705989855c595b4d1e489bc50cf8772b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f4a7681c4ccf5da8f4db91f0df73a8"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a27f4a7681c4ccf5da8f4db91f0df73a8">init_runfm::oxidizerspecies</a></td></tr>
<tr class="separator:a27f4a7681c4ccf5da8f4db91f0df73a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d2b75257e7f81dd136964c896349cd7"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a0d2b75257e7f81dd136964c896349cd7">init_runfm::combprospecies</a></td></tr>
<tr class="separator:a0d2b75257e7f81dd136964c896349cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc1511e4db117c53a5e8681ef3582e8"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#acfc1511e4db117c53a5e8681ef3582e8">init_runfm::allspecies</a></td></tr>
<tr class="separator:acfc1511e4db117c53a5e8681ef3582e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afea85966c085bb10b5efe20992259da8"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#afea85966c085bb10b5efe20992259da8">init_runfm::mechanismfile</a></td></tr>
<tr class="separator:afea85966c085bb10b5efe20992259da8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aa24163dcb9af4fbd957d6424ee7b3a"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a9aa24163dcb9af4fbd957d6424ee7b3a">init_runfm::flamemaster</a></td></tr>
<tr class="separator:a9aa24163dcb9af4fbd957d6424ee7b3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b9fbe0449f53aa97455dedf80957b5e"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a7b9fbe0449f53aa97455dedf80957b5e">init_runfm::outputdir</a></td></tr>
<tr class="separator:a7b9fbe0449f53aa97455dedf80957b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f8fa206e670717842ef266f0ed0a8fa"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a3f8fa206e670717842ef266f0ed0a8fa">init_runfm::initialstartprofile</a></td></tr>
<tr class="separator:a3f8fa206e670717842ef266f0ed0a8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd321968b150d6a3a3cc38d7aeb3812"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a1fd321968b150d6a3a3cc38d7aeb3812">init_runfm::outfile</a></td></tr>
<tr class="separator:a1fd321968b150d6a3a3cc38d7aeb3812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b3bf2dcb9f3cf4b7fb0b504e80a8b48"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a0b3bf2dcb9f3cf4b7fb0b504e80a8b48">init_runfm::x_1</a></td></tr>
<tr class="separator:a0b3bf2dcb9f3cf4b7fb0b504e80a8b48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a8065370d87e985e761defc73dc83bf"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a3a8065370d87e985e761defc73dc83bf">init_runfm::x_0</a></td></tr>
<tr class="separator:a3a8065370d87e985e761defc73dc83bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64bcb3125ed94302b5d3bdda75789ef3"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a64bcb3125ed94302b5d3bdda75789ef3">init_runfm::x_1_in</a></td></tr>
<tr class="separator:a64bcb3125ed94302b5d3bdda75789ef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e5555f958f0a87181ea169619990744"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a8e5555f958f0a87181ea169619990744">init_runfm::x_0_in</a></td></tr>
<tr class="separator:a8e5555f958f0a87181ea169619990744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d0031aa2a2cbb8f1255eb86a05aed1d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a1d0031aa2a2cbb8f1255eb86a05aed1d">init_runfm::x_bu</a></td></tr>
<tr class="separator:a1d0031aa2a2cbb8f1255eb86a05aed1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f124769564b6cd4785d91c37cf65804"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a8f124769564b6cd4785d91c37cf65804">init_runfm::x_un</a></td></tr>
<tr class="separator:a8f124769564b6cd4785d91c37cf65804"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af08257872f660fa0184591979f0aaa32"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#af08257872f660fa0184591979f0aaa32">init_runfm::egr</a></td></tr>
<tr class="separator:af08257872f660fa0184591979f0aaa32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef7b28a61bb9b759ec9f1aeaac98025"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a2ef7b28a61bb9b759ec9f1aeaac98025">init_runfm::phi</a></td></tr>
<tr class="separator:a2ef7b28a61bb9b759ec9f1aeaac98025"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac09d3b7369274cd11a66bcc007cddd82"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#ac09d3b7369274cd11a66bcc007cddd82">init_runfm::tu</a></td></tr>
<tr class="separator:ac09d3b7369274cd11a66bcc007cddd82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dc9f04be531d167b30ca2f99f56e3b8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a6dc9f04be531d167b30ca2f99f56e3b8">init_runfm::p</a></td></tr>
<tr class="separator:a6dc9f04be531d167b30ca2f99f56e3b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad97a320b3ce8a043921d93d20379571f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#ad97a320b3ce8a043921d93d20379571f">init_runfm::mw</a></td></tr>
<tr class="separator:ad97a320b3ce8a043921d93d20379571f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addd4947adabc0a8b5bf458463c97f003"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#addd4947adabc0a8b5bf458463c97f003">init_runfm::natomsinspecies</a></td></tr>
<tr class="separator:addd4947adabc0a8b5bf458463c97f003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1097763f721f09357630eb0e114ad5"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a1e1097763f721f09357630eb0e114ad5">init_runfm::mw_1</a></td></tr>
<tr class="separator:a1e1097763f721f09357630eb0e114ad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3768207d76b23da94eefc3e8badb7fa4"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a3768207d76b23da94eefc3e8badb7fa4">init_runfm::mw_0</a></td></tr>
<tr class="separator:a3768207d76b23da94eefc3e8badb7fa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9fc7bf86a90c80c82325dbb4861c517"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#ab9fc7bf86a90c80c82325dbb4861c517">init_runfm::lst</a></td></tr>
<tr class="separator:ab9fc7bf86a90c80c82325dbb4861c517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a581f705491f15d84feab0259815c7767"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a581f705491f15d84feab0259815c7767">init_runfm::zst</a></td></tr>
<tr class="separator:a581f705491f15d84feab0259815c7767"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b54eab20b25f356ff3e1e3ec00b513"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#a26b54eab20b25f356ff3e1e3ec00b513">init_runfm::x_0_o2</a></td></tr>
<tr class="separator:a26b54eab20b25f356ff3e1e3ec00b513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab91455dda7ab359c39dd5abca2c57450"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__runfm.html#ab91455dda7ab359c39dd5abca2c57450">init_runfm::skipflamelets</a></td></tr>
<tr class="separator:ab91455dda7ab359c39dd5abca2c57450"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
